> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Biosamples Variants

> Retrieve data from STARR-seq, BlueSTARR, and MPRA for a given biosample.

At least one of these fields is required: biosample_id or biosample_name.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**MPRA:**

**query by biosample identifier**

- biosample_id = EFO_0001182
- method = MPRA
- element_id = MPRA_chr1_1000079_1000279_GRCh38_plus_IGVFFI7321WGMD
- significant = true

**STARR-seq:**

**query by biosample identifier**

- biosample_id = EFO_0002067
- method = STARR-seq

**BlueSTARR:**

**query by biosample identifier**

- biosample_id = EFO_0002067
- method = BlueSTARR



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /biosamples/variants
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /biosamples/variants:
    get:
      summary: Biosamples Variants
      description: >-
        Retrieve data from STARR-seq, BlueSTARR, and MPRA for a given biosample.


        At least one of these fields is required: biosample_id or
        biosample_name.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **MPRA:**


        **query by biosample identifier**


        - biosample_id = EFO_0001182

        - method = MPRA

        - element_id = MPRA_chr1_1000079_1000279_GRCh38_plus_IGVFFI7321WGMD

        - significant = true


        **STARR-seq:**


        **query by biosample identifier**


        - biosample_id = EFO_0002067

        - method = STARR-seq


        **BlueSTARR:**


        **query by biosample identifier**


        - biosample_id = EFO_0002067

        - method = BlueSTARR
      operationId: variantsFromBiosamples
      parameters:
        - name: biosample_id
          in: query
          required: false
          schema:
            type: string
        - name: biosample_name
          in: query
          required: false
          schema:
            type: string
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - BlueSTARR
              - MPRA
              - STARR-seq
        - name: element_id
          in: query
          required: false
          schema:
            type: string
        - name: significant
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    variant:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            chr:
                              type: string
                            pos:
                              type: number
                            rsid:
                              type: array
                              items:
                                type: string
                              nullable: true
                            ref:
                              type: string
                            alt:
                              type: string
                            spdi:
                              type: string
                            hgvs:
                              type: string
                            ca_id:
                              type: string
                              nullable: true
                            strain:
                              type: array
                              items:
                                type: string
                              nullable: true
                            qual:
                              type: string
                              nullable: true
                            files_filesets:
                              type: string
                              nullable: true
                            annotations:
                              type: object
                              properties:
                                bravo_af:
                                  type: number
                                  nullable: true
                                gnomad_af_total:
                                  type: number
                                  nullable: true
                                gnomad_af_afr:
                                  type: number
                                  nullable: true
                                gnomad_af_afr_female:
                                  type: number
                                  nullable: true
                                gnomad_af_afr_male:
                                  type: number
                                  nullable: true
                                gnomad_af_ami:
                                  type: number
                                  nullable: true
                                gnomad_af_ami_female:
                                  type: number
                                  nullable: true
                                gnomad_af_ami_male:
                                  type: number
                                  nullable: true
                                gnomad_af_amr:
                                  type: number
                                  nullable: true
                                gnomad_af_amr_female:
                                  type: number
                                  nullable: true
                                gnomad_af_amr_male:
                                  type: number
                                  nullable: true
                                gnomad_af_asj:
                                  type: number
                                  nullable: true
                                gnomad_af_asj_female:
                                  type: number
                                  nullable: true
                                gnomad_af_asj_male:
                                  type: number
                                  nullable: true
                                gnomad_af_eas:
                                  type: number
                                  nullable: true
                                gnomad_af_eas_female:
                                  type: number
                                  nullable: true
                                gnomad_af_eas_male:
                                  type: number
                                  nullable: true
                                gnomad_af_female:
                                  type: number
                                  nullable: true
                                gnomad_af_fin:
                                  type: number
                                  nullable: true
                                gnomad_af_fin_female:
                                  type: number
                                  nullable: true
                                gnomad_af_fin_male:
                                  type: number
                                  nullable: true
                                gnomad_af_male:
                                  type: number
                                  nullable: true
                                gnomad_af_nfe:
                                  type: number
                                  nullable: true
                                gnomad_af_nfe_female:
                                  type: number
                                  nullable: true
                                gnomad_af_nfe_male:
                                  type: number
                                  nullable: true
                                gnomad_af_oth:
                                  type: number
                                  nullable: true
                                gnomad_af_oth_female:
                                  type: number
                                  nullable: true
                                gnomad_af_oth_male:
                                  type: number
                                  nullable: true
                                gnomad_af_sas:
                                  type: number
                                  nullable: true
                                gnomad_af_sas_male:
                                  type: number
                                  nullable: true
                                gnomad_af_sas_female:
                                  type: number
                                  nullable: true
                                gnomad_af_raw:
                                  type: number
                                  nullable: true
                                GENCODE_category:
                                  type: string
                                  nullable: true
                                funseq_description:
                                  type: string
                                  nullable: true
                              additionalProperties: false
                              nullable: true
                            source:
                              type: string
                            source_url:
                              type: string
                            organism:
                              type: string
                              nullable: true
                          required:
                            - _id
                            - chr
                            - pos
                            - ref
                            - alt
                            - annotations
                            - source
                            - source_url
                            - organism
                          additionalProperties: false
                    biosample:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            uri:
                              type: string
                            term_id:
                              type: string
                            name:
                              type: string
                            synonyms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            source:
                              type: string
                            subontology:
                              type: string
                              nullable: true
                            source_url:
                              type: string
                              nullable: true
                          required:
                            - uri
                            - term_id
                            - name
                          additionalProperties: false
                    genomic_element:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                              nullable: true
                            chr:
                              type: string
                              nullable: true
                            start:
                              type: number
                              nullable: true
                            end:
                              type: number
                              nullable: true
                            type:
                              type: string
                              nullable: true
                            source:
                              type: string
                              nullable: true
                            source_url:
                              type: string
                              nullable: true
                            source_annotation:
                              type: string
                              nullable: true
                          required:
                            - _id
                          additionalProperties: false
                      nullable: true
                    strand:
                      type: string
                      nullable: true
                    log2FC:
                      type: number
                      nullable: true
                    DNA_count_ref:
                      type: number
                      nullable: true
                    DNA_count_alt:
                      type: number
                      nullable: true
                    RNA_count_ref:
                      type: number
                      nullable: true
                    RNA_count_alt:
                      type: number
                      nullable: true
                    postProbEffect:
                      type: number
                      nullable: true
                    CI_lower_95:
                      type: number
                      nullable: true
                    CI_upper_95:
                      type: number
                      nullable: true
                    significant:
                      type: boolean
                      nullable: true
                    neg_log10_pvalue:
                      type: number
                      nullable: true
                    neg_log10_pvalue_adj:
                      type: number
                      nullable: true
                    label:
                      type: string
                    method:
                      type: string
                    class:
                      type: string
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                    name:
                      type: string
                    files_filesets:
                      type: string
                      nullable: true
                  required:
                    - label
                    - method
                    - source
                    - source_url
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````